Bug 6321 - Add a 1/4 month frequency
Summary: Add a 1/4 month frequency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.8
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Frédéric Demians
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-07 06:24 UTC by Frédéric Demians
Modified: 2012-10-25 23:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.83 KB, patch)
2011-05-07 06:26 UTC, Frédéric Demians
Details | Diff | Splinter Review
Patch with typo fix (2.87 KB, patch)
2011-05-13 10:12 UTC, Frédéric Demians
Details | Diff | Splinter Review
Amended signed-off patch (5.10 KB, patch)
2011-06-16 10:47 UTC, Frédéric Demians
Details | Diff | Splinter Review
Proposed patch (3.71 KB, patch)
2011-09-16 17:01 UTC, Frédéric Demians
Details | Diff | Splinter Review
screenshot (49.80 KB, image/png)
2011-10-10 20:34 UTC, Katrin Fischer
Details
Amended proposed patch, with Katrin feedback (4.35 KB, patch)
2011-10-11 06:01 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6321 Add a 1/4 months frequency (4.48 KB, patch)
2011-10-11 06:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2011-05-07 06:24:13 UTC
There is a 1/3 month frequency but not 1/4 month.
Comment 1 Frédéric Demians 2011-05-07 06:26:48 UTC Comment hidden (obsolete)
Comment 2 Zeno Tajoli 2011-05-10 15:56:46 UTC
This bug is present also in 3.2.x
Comment 3 Stefano Bargioni 2011-05-13 10:01:40 UTC
(In reply to comment #1)
> Created attachment 4054 [details] [review]
> Proposed patch

Strings 
1/4 month (3/year)
must be
1/4 months (3/year)
Comment 4 Frédéric Demians 2011-05-13 10:12:13 UTC Comment hidden (obsolete)
Comment 5 Frédéric Demians 2011-05-13 10:13:07 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > Created attachment 4054 [details] [review]
> > Proposed patch
> 
> Strings 
> 1/4 month (3/year)
> must be
> 1/4 months (3/year)

Thanks Stefano. Could you sign-off this patch? (Or Colin?)
Comment 6 Colin Campbell 2011-05-13 10:35:00 UTC
Sent signoff for amended patch
Comment 7 Frédéric Demians 2011-06-16 10:47:18 UTC Comment hidden (obsolete)
Comment 8 Frédéric Demians 2011-06-16 10:48:44 UTC
QA needed!
Comment 9 Paul Poulain 2011-08-10 15:44:53 UTC
QA comment

The subscription Add & serials management seems to work well, BUT the subscription-detail page and the opac misses something.
The display is 3/week instead of 1/4 month on subscription-detail
and
The current subscription began on 08/01/2010 and is issued every for 24 months 
every <<missing periodicity>> for 24 months on OPAC

Failed QA
Comment 10 Frédéric Demians 2011-09-16 17:01:16 UTC Comment hidden (obsolete)
Comment 11 Frédéric Demians 2011-10-10 16:36:54 UTC
Anyone available to sign-off this patch? It still applies on HEAD.
Comment 12 Katrin Fischer 2011-10-10 20:34:50 UTC
Created attachment 5830 [details]
screenshot

I have tested the subscription pattern and there seems to be a little bit of information missing on the brief history view of opac:

The current subscription began on 01/01/2011 and is issued every _____ for 9 issues.
Comment 13 Frédéric Demians 2011-10-11 06:01:43 UTC Comment hidden (obsolete)
Comment 14 Katrin Fischer 2011-10-11 06:10:02 UTC
Created attachment 5835 [details] [review]
[SIGNED-OFF] Bug 6321 Add a 1/4 months frequency

Thanks Stefano Bargioni for the typo fix

[2011.09.16] Thanks Paul for catching the display error.
[2011.10.11] Thanks Katrin for finding display error on OPAC.

Signed-off-by: Colin Campbell <colin.campbell@ptfs-europe.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested prediction pattern and display in OPAC.
No problems found.
Comment 15 Paul Poulain 2011-10-24 11:40:16 UTC
Updating version : This ENH could be in Koha 3.8
Comment 16 Paul Poulain 2011-10-25 15:05:59 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 17 Marcel de Rooy 2011-11-14 13:44:19 UTC
QA Comment:
The code for making the distinction between the various frequencies is actually asking for some refactoring. This patch just adds another case, but is easy to read and tested thoroughly, as can be seen above.
Marking it as Passed QA.
Comment 18 Paul Poulain 2011-11-17 16:01:12 UTC
Patch pushed, please test